@charset "utf-8";

* {
	/* padding und border werden innerhalb der width und height eingerechnet */
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

.clear:after {
  content: "";
  display: block;
  height: 0;
  clear: both;
}

article h1 {
	font-size: 2em; 
	margin: .67em 0;
	text-align: left;
}

h2, h3, h4 {
	margin-top: 2.5em;
	margin-bottom: 1em;
	text-align: left;
}

h5{
	font-size: medium;
	font-weight: normal;
	text-decoration: underline;
	margin-top: 1.5em;
	margin-bottom: 0.75em;
	text-align: left;
}

p {
	margin-top: 0.75em;
	margin-bottom: 0.75em;
	text-align: justify;
}

/* p.absatz05 {
	margin-top: 0em;
	margin-bottom: 0.5em;
	text-align: justify;
} */

a sup {
	font-size:0.6em;
	font-weight: normal;
}

img {
	display: block; 
}

a.loesung {
	font-size:small;
}

a.fussnote, a.fussnote:visited{
	color: blue;
	text-decoration:none;
	font-weight: bold;
}

hr.fussnote {
	width: 80px; 
	margin: auto;
	margin-left: 0;
}

ul.fussnote {
	list-style-type:none;
	padding-left: 0;
}

ul.fussnote li {
	font-size: 0.75em;
}

ul {
	margin: 0.5em;	
}

/* .abstand_nachfolgend {
	margin-bottom: 0.25em;
} */

code, .code {
	font-family: "Courier New", monospace;
	font-size: inherit;
/* 	white-space: pre; */
}

.keyword {
	color: #0000ff;
}

.stringliteral {
	color:#7B68EE;
}
.objektvariable {
	color:red;
}

.lokaleVariable {
	color:#7C3D12;
}

.javadoc {
	color:#8877B2;
}

.frage {
	font-style: italic;
	padding-left: 2px; 
	padding-right: 2px; 
}

.zentriert {
	text-align: center;
	margin-left: auto;
    margin-right: auto;
}

.blau{
	color:#0040ff;
}

.hintergrund_blau {
	background-color:#0040ff;
}

.hintergrund_gelb {
	background-color:#FFF82A;
}

.hintergrund_gruen {
	background-color:#2f933c;
}

.hintergrund_hellblau {
	background-color:#D6DFFF;
}

.hintergrund_hellgelb {
	background-color:#FFFFB2;
}

.hintergrund_hellgruen {
	background-color:#CCFF99;
}

.hintergrund_helllila {
	background-color:#D9D3FF;
}

.hintergrund_hellorange {
	background-color:#FFE0BF;
}

.hintergrund_hellrot {
	background-color:#F5A9A9;
}

.hintergrund_helltuerkis {
	background-color:#99FFFF;
}

.hintergrund_mitteltuerkis {
	background-color:#57f8f8; /* !important; */
}

.hintergrund_rot {
	background-color:#ff2a2a;
}

.hintergrund_tuerkis {
	background-color:#00CED1;
}

.gelb {
	color:#FFF82A;
}

.gruen{
	color:#2f933c; 
}

.lila {
	color:#7B68EE; 
}

.orange {
	color:#E07502;
}

.rot{
	color:#ff2a2a;			
}

.tuerkis {
	color:#00CED1; 
}

.tuerkis_dunkel {
	color:#008B8B;
}

iframe.website_beispiel {
	background-color: white;
	width: 100%;
	height: 100%;
}

/*@media only screen and (max-width:600px), @media only screen and (max-device-width:600px) {*/
@media only screen and (min-device-width : 320px) and (max-device-width : 600px), only screen and (max-width:600px) {
	body{
		font-size: smaller;
	}
	
	h5 {
		font-size: small;
	}
}


